To organize content in a Marketing Cloud Next content workspace, use the folders endpoints in Connect API. Create folders under a parent folder, retrieve folder details, rename standard folders, and delete empty folders.
Create a Folder
To create a folder, issue a POST request to the /services/data/{apiVersion}/connect/cms/folders endpoint.
| Property | Data Type | Description |
|---|---|---|
name |
string | Required. The folder name. Names must start with a letter. They can't contain leading or trailing white space, and can't contain --, __, ., \, /, or :. The maximum length is 255 characters. |
parentFolderId |
string | Required. The ID of the parent folder where you create the folder. |
This sample request creates a folder under an existing parent folder.
POST /services/data/{apiVersion}/connect/cms/folders HTTP/1.1
Host: {subdomain}.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
{
"name": "Q4 Promotional Emails",
"parentFolderId": "9PuSB000002KUDo0AO"
}
For a successful request, the response includes the new folder, its parent hierarchy, and other metadata.
{
"createdBy": "005SB00000eaki1YAA",
"createdDate": "2026-07-30T15:04:32.000Z",
"folderHierarchy": [
{
"folderType": "System",
"id": "9PuSB000002aY6r0AE",
"name": "Messaging Workspace_marketing",
"parentFolderId": null
}
],
"folderType": "Standard",
"id": "9PuSB000002yr570AA",
"isShared": false,
"lastModifiedBy": "005SB00000eaki1YAA",
"lastModifiedDate": "2026-07-30T15:04:32.000Z",
"name": "Q4 Promotional Emails",
"parentFolderId": "9PuSB000002aY6r0AE"
}
Retrieve a Folder
To retrieve a folder, issue a GET request to the /services/data/{apiVersion}/connect/cms/folders/{folderId} endpoint. Replace {folderId} with the 18-character ID of the folder.
GET /services/data/{apiVersion}/connect/cms/folders/9PuSB000002yr570AA HTTP/1.1
Host: {subdomain}.my.salesforce.com
Authorization: Bearer YOUR_BEARER_TOKEN
The response includes the folder details and the chain of folders from the root folder to the requested folder.
Rename a Folder
To rename a standard folder, issue a PATCH request to the /services/data/{apiVersion}/connect/cms/folders/{folderId} endpoint. Include only the name property in the request body.
PATCH /services/data/{apiVersion}/connect/cms/folders/9PuSB000002yr570AA HTTP/1.1
Host: {subdomain}.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
{
"name": "Renamed Assets"
}
note: Update only a folder's name. You can't move a folder to a different parent folder or rename a root folder.
Delete a Folder
To delete a folder, issue a DELETE request to the /services/data/{apiVersion}/connect/cms/folders/{folderId} endpoint.
DELETE /services/data/{apiVersion}/connect/cms/folders/9PuSB000002yr570AA HTTP/1.1
Host: {subdomain}.my.salesforce.com
Authorization: Bearer YOUR_BEARER_TOKEN
A successful request returns 204 No Content and no response body.
important: You can delete only empty, non-root folders. If you try to delete a root folder or a folder that isn't empty, the API returns an HTTP 400 response.
See Also
- Manage Content Workspaces
- Create and Manage Emails
- API Reference: Folders